cdac.medinfo.sdk.hl7282.hl7net.auxiliaryprotocol.interactivecontinuation

## Enum EnumSinglePairStatus

- java.lang.Object
- - java.lang.Enum<EnumSinglePairStatus>
  - - cdac.medinfo.sdk.hl7282.hl7net.auxiliaryprotocol.interactivecontinuation.EnumSinglePairStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumSinglePairStatus>

      public enum EnumSinglePairStatus
      extends java.lang.Enum<EnumSinglePairStatus>

  Enumeration for exhibiting status of Interactive Query i.e., Query is completed,canceled or Inprogress.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCELLED` When Query is explicitly canceled by user
    `COMPLETED` When Query is completed
    `INPROGRESS` When Query is inprogress

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` Retrieves the value of Enum
    `static EnumSinglePairStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumSinglePairStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CANCELLED

          public static final EnumSinglePairStatus CANCELLED

      When Query is explicitly canceled by user

    - #### COMPLETED

          public static final EnumSinglePairStatus COMPLETED

      When Query is completed

    - #### INPROGRESS

          public static final EnumSinglePairStatus INPROGRESS

      When Query is inprogress

  - ### Method Detail

    - #### values

          public static EnumSinglePairStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumSinglePairStatus c : EnumSinglePairStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumSinglePairStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Retrieves the value of Enum
      Returns:
        Srting - value of Enum